Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardSeriesManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.card.server.bean.CardSeriesManager

public class CardSeriesManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardSeriesManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addSeries(String title)`
  `int`
  `deleteSeries(int id)`
  `Set<Integer>`
  `getCardSeries(String cards)`
  `List<Long>`
  `getCardsFromSeries(int seriesId, int needCount)`
  `List<CardSeries>`
  `getNotEmptySeries()`
  `CardSeries`
  `getSeries(int id)`
  `int`
  `getSeriesId(String title)`
  `List<CardSeries>`
  `getSeriesList()`
  `String`
  `getSeriesTitle(int id)`
  `int`
  `updateSeries(CardSeries series)`
  `void`
  `updateSeriesFree(int id)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardSeriesManager

    public CardSeriesManager(Connection con, int moduleId)

- ## Method Details

  - ### addSeries

    public int addSeries(String title) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getSeriesId

    public int getSeriesId(String title) throws SQLException
    Throws:
      `SQLException`

  - ### getSeries

    public CardSeries getSeries(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getSeriesList

    public List<CardSeries> getSeriesList()

  - ### getSeriesTitle

    public String getSeriesTitle(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateSeries

    public int updateSeries(CardSeries series) throws SQLException
    Throws:
      `SQLException`

  - ### updateSeriesFree

    public void updateSeriesFree(int id)

  - ### deleteSeries

    public int deleteSeries(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getNotEmptySeries

    public List<CardSeries> getNotEmptySeries() throws SQLException
    Throws:
      `SQLException`

  - ### getCardSeries

    public Set<Integer> getCardSeries(String cards) throws SQLException
    Throws:
      `SQLException`

  - ### getCardsFromSeries

    public List<Long> getCardsFromSeries(int seriesId, int needCount) throws SQLException
    Throws:
      `SQLException`